SystemOrganization addCategory: #'AL-Tests-Cors'!

ALRelayTest subclass: #ALCorsRelayTest
	instanceVariableNames: 'relay'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-Cors'!

!ALCorsRelayTest methodsFor: 'as yet unclassified' stamp: 'cwp 2/10/2014 14:32'!
setUp
	super setUp.
	relay := ALCorsRelay destination: self origin: (ALUrl fromString: 'http://griffle.com')! !

!ALCorsRelayTest methodsFor: 'as yet unclassified' stamp: 'cwp 2/10/2014 16:10'!
testNoOrigin
	| request |
	request := ALRequest get: ALUrl root.
	response := relay handleRequest: request.
	self deny: response hasAccessControlAllowOrigin! !

!ALCorsRelayTest methodsFor: 'as yet unclassified' stamp: 'cwp 2/10/2014 16:11'!
testOriginMatch
	| request origin |
	request := ALRequest get: ALUrl root.
	origin := ALUrl fromString: 'http://griffle.com'.
	request origin: origin.
	response := relay handleRequest: request.
	self assert: response accessControlAllowOrigin = origin! !

!ALCorsRelayTest methodsFor: 'as yet unclassified' stamp: 'cwp 2/10/2014 16:15'!
testOriginNoMatch
	| request |
	request := ALRequest get: ALUrl root.
	request origin: (ALUrl fromString: 'http://plonk.com').
	response := relay handleRequest: request.
	self deny: response hasAccessControlAllowOrigin! !
